/*
 * ConfigFileIOException.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.exception;

/**
 * 設定ファイル読み込み時のIOエラーにより発生する例外クラス。
 * @author Naoko Sugimoto
 */
public class ConfigFileIOException extends ConfigurationRuntimeException {

	/**
	 * シリアルバージョンUID
	 */
	private static final long serialVersionUID = 2043660431405124749L;

	/**
	 * コンストラクタ。
	 * @param cause 発生元の例外
	 */
	public ConfigFileIOException(Exception cause) {
		super(cause);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 */
	public ConfigFileIOException(String msg) {
		super(msg);
	}

	/**
	 * コンストラクタ。
	 * @param msg メッセージ
	 * @param cause 発生元の例外
	 */
	public ConfigFileIOException(String msg, Exception cause) {
		super(msg, cause);
	}
}
